package com.kingdee.eas.custom.ats;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AtsLeaveBillDetailSameFactory
{
    private AtsLeaveBillDetailSameFactory()
    {
    }
    public static com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("01B9C828") ,com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame.class);
    }
    
    public static com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("01B9C828") ,com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame.class, objectCtx);
    }
    public static com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("01B9C828"));
    }
    public static com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.ats.IAtsLeaveBillDetailSame)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("01B9C828"));
    }
}